<?php
/**
 * Clase Base Bean para BaseRhMarcacionRegistroBN
 *
 * @package    Sedapal
 * @subpackage BaseRhMarcacionRegistroBN
 * @author     Willy
 * @version    SVN:: BaseRhMarcacionRegistroBN.class.php,v 1.1 2019-05-13 12:56:26 william.taype Exp $
 */
abstract class BaseRhMarcacionRegistroBN
{
  protected $Idregistro;
  protected $Descripcion;
  protected $Secuencia;
  protected $Estado;
  protected $Flagobligatorio;
  protected $Idequivalencia;
  protected $Mensaje;
  protected $Error;

  public function getIdregistro(){
    return $this->Idregistro;
  }
  public function setIdregistro($v1){
    $this->Idregistro = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getSecuencia(){
    return $this->Secuencia;
  }
  public function setSecuencia($v1){
    $this->Secuencia = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFlagobligatorio(){
    return $this->Flagobligatorio;
  }
  public function setFlagobligatorio($v1){
    $this->Flagobligatorio = $v1; 
  }

  public function getIdequivalencia(){
    return $this->Idequivalencia;
  }
  public function setIdequivalencia($v1){
    $this->Idequivalencia = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Rh_marcacion_registroBN desde un RecordSet */
  public static function retrieveByRs( $o_Rh_marcacion_registroRs )
  {
    $o_RhMarcacionRegistroBN = new RhMarcacionRegistroBN();
    $o_RhMarcacionRegistroBN->setIdregistro( $o_Rh_marcacion_registroRs['idregistro'] );
    $o_RhMarcacionRegistroBN->setDescripcion( $o_Rh_marcacion_registroRs['descripcion'] );
    $o_RhMarcacionRegistroBN->setSecuencia( $o_Rh_marcacion_registroRs['secuencia'] );
    $o_RhMarcacionRegistroBN->setEstado( $o_Rh_marcacion_registroRs['estado'] );
    $o_RhMarcacionRegistroBN->setFlagobligatorio( $o_Rh_marcacion_registroRs['flagobligatorio'] );
    $o_RhMarcacionRegistroBN->setIdequivalencia( $o_Rh_marcacion_registroRs['idequivalencia'] );
    return $o_RhMarcacionRegistroBN;
  }
}